# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "lake"
version = "0.2.0"
authors = ["Vladislav Feuerbach <feuerbachvladislav@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Lake is a high-octane memory pool with direct access, checkpoints, rollback, and zero-allocation droplets. No GC. No overhead. Just you and the bytes — total control. Allocate like a cyber-samurai."
readme = "README.md"
keywords = [
    "allocator",
    "memory-pool",
    "zero-copy",
    "arena",
    "performance",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/TachyonConcepts/lake"
resolver = "2"

[lib]
name = "lake"
path = "src/lib.rs"
proc-macro = false

[[example]]
name = "droplet_base"
path = "examples/droplet_base.rs"

[[example]]
name = "droplet_serialize"
path = "examples/droplet_serialize.rs"

[[example]]
name = "fbc_black_magic"
path = "examples/fbc_black_magic.rs"

[[example]]
name = "lake_alloc_t"
path = "examples/lake_alloc_t.rs"

[[example]]
name = "lake_creation"
path = "examples/lake_creation.rs"

[[example]]
name = "lake_marks"
path = "examples/lake_marks.rs"

[[example]]
name = "lake_process"
path = "examples/lake_process.rs"

[[example]]
name = "lake_snapshot"
path = "examples/lake_snapshot.rs"

[[example]]
name = "lake_split"
path = "examples/lake_split.rs"

[[test]]
name = "align"
path = "tests/align.rs"

[[test]]
name = "droplet"
path = "tests/droplet.rs"

[[test]]
name = "droplet_dyn"
path = "tests/droplet_dyn.rs"

[[test]]
name = "fbc"
path = "tests/fbc.rs"

[[test]]
name = "internals"
path = "tests/internals.rs"

[[test]]
name = "lake"
path = "tests/lake.rs"

[[test]]
name = "lake_ext"
path = "tests/lake_ext.rs"

[[test]]
name = "lake_view"
path = "tests/lake_view.rs"

[[test]]
name = "sandbox"
path = "tests/sandbox.rs"

[[test]]
name = "thread_lake"
path = "tests/thread_lake.rs"

[[bench]]
name = "bench"
path = "benches/bench.rs"
harness = false

[dependencies]

[dev-dependencies.bump-scope]
version = "0.17.4"

[dev-dependencies.bumpalo]
version = "3"

[dev-dependencies.criterion]
version = "0.7"

[dev-dependencies.heapless]
version = "0.8.0"

[dev-dependencies.mimalloc]
version = "0.1"
default-features = false

[dev-dependencies.scoped-arena]
version = "0.4.1"

[dev-dependencies.slotmap]
version = "1.0.7"

[dev-dependencies.typed-arena]
version = "2"
